Keystone-rest-definition
    • Company information data
      GET
    • Get trips data authorized at gate
      GET
    • Retrieve inspections by country code and plate number
      GET
    • Send inspection related to a trip
      POST
    • Send alert related to a trip
      POST
    • Get trips data authorized at gate
      GET
    • Login validation
      POST
    • Get the alerts by filters
      GET
    • Number of trucks per gate
      GET
    • Get all phases
      GET
    • Get current trip data
      GET
    • Get the driver traffic violation data
      GET
    • Get the driver tachograph data
      GET
    • Set loading data per trip
      POST
    • Get the truck inspection data
      GET
    • Get trips data scheduled to arrive at location within number of hours
      GET
    • Get trips data
      GET
    • Terminal information data
      GET
    • Get the driver license data
      GET
    • Get CMR data
      GET
    • Get eta
      GET
    • Get the truck insurance data
      GET
    • Get the truck owner data
      GET
    • Get unloading data per trip
      GET
    • Get the driver professional qualification certificate data
      GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
      • Schemas
        • company
        • tachograph
        • trafficViolationData
        • terminal
        • pdqc

      Get CMR data

      GET
      /tripdata/cmr/{companyIdentifier}/{tripId}

      Request

      Path Params

      Responses

      🟢200OK
      application/json
      OK
      Body

      🟠404Record Not Found
      🔴500Server Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/tripdata/cmr//'
      Response Response Example
      {
          "companyIdentifier": "string",
          "tripId": "string",
          "departureDateTime": "2019-08-24T14:15:22.123Z",
          "realDepartureDateTime": "2019-08-24T14:15:22.123Z",
          "estimatedDateTimeOfArrival": "2019-08-24T14:15:22.123Z",
          "realArrivalDateTime": "2019-08-24T14:15:22.123Z",
          "document": [
              {
                  "referenceCode": "string",
                  "report": null,
                  "sender": {
                      "name": "string",
                      "countryCode": "string",
                      "VAT": "string",
                      "address": "string"
                  },
                  "receiver": {
                      "name": "string",
                      "countryCode": "string",
                      "VAT": "string",
                      "address": "string"
                  },
                  "load": {
                      "load_type": "string",
                      "load_description": "string",
                      "weight": 0,
                      "umWeight": "string",
                      "size": {
                          "type": "string",
                          "description": "string",
                          "width": 0,
                          "height": 0,
                          "depth": 0,
                          "unitary": true,
                          "um": "string"
                      }
                  }
              }
          ]
      }
      Modified at 2025-05-08 13:58:57
      Previous
      Get the driver license data
      Next
      Get eta
      Built with